https://bugs.gentoo.org/818964
https://github.com/pandas-dev/pandas/commit/b0992ee2f4653c7d70ddbad6f2d172a4ef0bda32

From: Sam James <sam@cmpct.info>
Date: Fri, 29 Oct 2021 17:24:01 +0100
Subject: [PATCH] Update is_platform_arm() to detect 32-bit arm and other
 variants (#44225)

--- a/pandas/compat/__init__.py
+++ b/pandas/compat/__init__.py
@@ -99,7 +99,9 @@ def is_platform_arm() -> bool:
     bool
         True if the running platform uses ARM architecture.
     """
-    return platform.machine() in ("arm64", "aarch64")
+    return platform.machine() in ("arm64", "aarch64") or platform.machine().startswith(
+        "armv"
+    )
 
 
 def import_lzma():
